Subject: Re: The git spring cleanup challenge

From: Sergey Organov <[email-masked]>
Date: Wed, 02 Jun 2021 15:19:58 +0300

Felipe Contreras <[email-masked]> writes:

> Sergey Organov wrote:
>> Felipe Contreras <[email-masked]> writes:
>
>> > These are the configurations I've chosen:
>> >
>> >   [merge]
>> >     conflictstyle = diff3
>> >   [sendemail]
>> >     smtpserver = /usr/bin/msmtp
>> >
>> 
>> [pull]
>> 	rebase = merges
>
> Can you do `git pull --rebase=merges` for a while?

I never use 'git pull' for merging, and all the time with rebasing, so
what's the point? I mean, whenever I do 'git pull' I mean 'git pull
--rebase', and whenever I need to merge, I exclusively use'git merge'.

>
>> [push]
>> 	default = simple
>
> This is the default, you don't need it.

Yep, a remnant from the past.

>
>> [rerere]
>> 	enabled = true
>> 	autoupdate = true
>
> We are seeing a pattern here.
>
>> [diff]
>> 	algorithm = patience
>
> Does this make a lot of difference?

As far as I recall, I had some mismerges long time ago that this setting
affected positively, so I've tweaked it.

Thanks,
-- Sergey Organov